Subject: AZ complaint
From: "Michael B" <[email-masked]>
To: "Dave Brake" <[email-masked]>
Date: Wed, 10 Apr 2013 09:55:14 -0400

Hello Dave.
I took care of all of the complaints that you had mailed over except I could not verify one.  The Arizona AG sent over a complaint from a Mike Sember at a PO address.  We do not have any business at the address listed.  After doing multiple searches, I have still not been able to find a business in our database or on the internet.  I will need a company name or at least a business address to determine if there are any orders.  Let me know if you have or can get any further information on this complaint.
Thank you,
Michael B
LLPS